NICE(3)

NAME
nice - set program scheduling priority

SYNOPSIS
nice(int incr);

DESCRIPTION
This interface is obsoleted by setpriority(2).

The nice() function obtains the scheduling priority of the process from the system and sets it to the priority value specified in incr. The priority is a value in the range -20 to 20. The default priority is 0; lower priorities cause more favorable scheduling. Only the super-user may lower priorities.

Children inherit the priority of their parent processes via fork(2).

SEE ALSO
nice(1), setpriority(2), fork(2), renice(8)

HISTORY
A nice() syscall appeared in AT&T UNIX.